
x=vyslANS(1,:);    %přejmenování pro jednodušší vypisování
y=vyslANS(2,:);

%DETEKCE IMPULSŮ ODPOVÍDAJÍCÍ OBRÁZKŮM PREZENTACE
detekce1=diff(detekce); %Výpočet diference pro následné ořezání
osoba_ANS=cell(1,55); %vytvoření buněk pro zapsání patřičných úseků signálu
k=1;
while k<length(detekce)  %cyklus, který odhalí které úseky synchronizačního signálů patří obrázkům
    if detekce1(k)>4900 && detekce1(k)<5100 %podmínky pro synchronizační impulsy
        osoba_ANS{k}(1,:)=x(detekce(k):detekce(k+1));
        osoba_ANS{k}(2,:)=y(detekce(k):detekce(k+1));
        k=k+1;
    elseif detekce1(k)+detekce1(k+1)>4900 && detekce1(k)+detekce1(k+1)<5100 %přesnější podmínky pro synchronizační impulsy
        osoba_ANS{k}(1,:)=x(detekce(k):detekce(k+2)); % v případě slnění podmíne je přeskočen nalezený stimulační impuls a jako synchronizační je určen následující
        osoba_ANS{k}(2,:)=y(detekce(k):detekce(k+2));
        k=k+2;
    else
        k=k+1;
    end
    
end

i=1;
for k=1:length(osoba_ANS)  %nalezení prázných pozic z předchozího cyklu
    a=isempty(osoba_ANS{k});
    if a==0
        plne(i)=k; %zapsání prázdných pozic
        i=i+1;
    end
end
osoba_ANS=osoba_ANS(plne);%odstranění prázných pozic z předchozího cyklu
        

for i=1:length(osoba_ANS) %cyklus pro vytvoření matice pro statistické zpracování
    pom=osoba_ANS{i}(2,:); %pomocná proměnná

        if abs(min(osoba_ANS{i}(2,:))) > max(osoba_ANS{i}(2,:)) % když je velikost minima větší než velikost maxima
            prostat(i)=min(osoba_ANS{i}(2,:)); % zapíše se do matice minimum
        else % když ne
            prostat(i)=max(osoba_ANS{i}(2,:)); % zapíše se maximum
        end
end


